%define api		1.0
%define bname		gstreamer%{api}

%define build_plf	0
%if "%{?distro_section}" == "tainted"
%define build_plf	1
%endif

%define build_experimental	0
%define build_amrwb	0
%define build_faac	0
%define build_faad	0
%define build_xvid	0
%define build_dts	0
%define build_dirac	0
%define build_gme	1
%define build_x265	0

%if %build_plf
%define build_amrwb	0
%define build_faac	0
%define build_faad	1
%define build_xvid	0
%define build_dts	1
%define build_x265	1
%endif

%define libmajor	0
%define libnamephoto	%mklibname gstphotography %{api} %{libmajor}
%define libnamecodecparsers %mklibname gstcodecparsers %{api} %{libmajor}
%define libnamebase	%mklibname gstbasecamerabinsrc %{api} %{libmajor}
%define libnameegl	%mklibname gstegl %{api} %{libmajor}
%define libnameinsertbin %mklibname gstinsertbin %{api} %{libmajor}
%define libnamempegts	%mklibname gstmpegts %{api} %{libmajor}
%define libnameuridownloader %mklibname gsturidownloader %{api} %{libmajor}
%define girname		%mklibname gstreamer-plugins-bad-gir %{api}
%define girplayer	%mklibname gstplayer-gir %{api}
%define libbadbase	%mklibname gstbadbase %{api} %{libmajor}
%define libbadaudio	%mklibname gstbadaudio %{api} %{libmajor}
%define libbadvideo	%mklibname gstbadvideo %{api} %{libmajor}
%define libgstplayer	%mklibname gstplayer %{api} %{libmajor}
%define libgstgl	%mklibname gstgl %{api} %{libmajor}
%define libgstwayland	%mklibname gstwayland %{api} %{libmajor}
%define develname	%mklibname -d gstreamer-plugins-bad %{api}

Summary: 	GStreamer Streaming-media framework plug-ins
Name: 		%{bname}-plugins-bad
Version: 	1.10.3
Release: 	%mkrel 1
License: 	LGPLv2+ and GPLv2+
Group: 		Sound/Utilities
Source:		http://gstreamer.freedesktop.org/src/gst-plugins-bad/gst-plugins-bad-%{version}.tar.xz
Patch0:		gst-plugins-bad-0.10.7-wildmidi-timidity.cfg.patch
URL:		http://gstreamer.freedesktop.org/

%ifarch %ix86
BuildRequires:	nasm >= 0.90
%endif

%ifnarch %mips
BuildRequires:	pkgconfig(valgrind)
%endif
BuildRequires:	pkgconfig(bluez)
BuildRequires:	pkgconfig(libbs2b)
BuildRequires:	pkgconfig(cairo)
BuildRequires:	pkgconfig(dbus-1)
BuildRequires:	pkgconfig(dvdnav)
BuildRequires:	pkgconfig(dvdread)
BuildRequires:	pkgconfig(egl)
BuildRequires:	pkgconfig(fluidsynth)
BuildRequires:	pkgconfig(gio-2.0)
BuildRequires:	pkgconfig(glesv2)
BuildRequires:	pkgconfig(gmodule-export-2.0)
BuildRequires:	pkgconfig(gmodule-no-export-2.0)
BuildRequires:	pkgconfig(gnutls)
BuildRequires:	pkgconfig(gstreamer-video-1.0)
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(gudev-1.0)
BuildRequires:	pkgconfig(kate)
BuildRequires:	pkgconfig(libass)
BuildRequires:	pkgconfig(libcdaudio)
BuildRequires:	pkgconfig(libchromaprint)
BuildRequires:	pkgconfig(libcrypto)
BuildRequires:	pkgconfig(libcurl)
BuildRequires:	pkgconfig(libdc1394-2)
BuildRequires:	pkgconfig(libexif)
BuildRequires:	pkgconfig(libmimic)
BuildRequires:	pkgconfig(libmms)
BuildRequires:	pkgconfig(libmodplug)
BuildRequires:	pkgconfig(libofa)
BuildRequires:	pkgconfig(libopenjpeg1)
BuildRequires:	pkgconfig(librsvg-2.0)
BuildRequires:	pkgconfig(librtmp)
BuildRequires:	pkgconfig(libusb-1.0)
BuildRequires:	pkgconfig(libwebp)
BuildRequires:	pkgconfig(libxml-2.0)
BuildRequires:	pkgconfig(lrdf)
BuildRequires:	pkgconfig(mjpegtools)
BuildRequires:	pkgconfig(neon)
BuildRequires:	pkgconfig(openal)
BuildRequires:	pkgconfig(opencv)
BuildRequires:	pkgconfig(openssl)
BuildRequires:	pkgconfig(opus)
# qt
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Qml)
BuildRequires:	pkgconfig(Qt5Quick)
BuildRequires:	pkgconfig(Qt5X11Extras)
BuildRequires:	pkgconfig(Qt5WaylandClient)
#
BuildRequires:	pkgconfig(sbc)
BuildRequires:	pkgconfig(schroedinger-1.0)
BuildRequires:	pkgconfig(slv2)
BuildRequires:	pkgconfig(sndfile)
BuildRequires:	pkgconfig(soundtouch)
BuildRequires:	pkgconfig(spandsp)
BuildRequires:	pkgconfig(vdpau)
BuildRequires:	pkgconfig(wayland-client)
BuildRequires:	pkgconfig(x11)
BuildRequires:	pkgconfig(zbar)
BuildRequires:	pkgconfig(zvbi-0.2)
BuildRequires:	pkgconfig(gstreamer-plugins-base-1.0) >= %{version}
BuildRequires:	pkgconfig(gstreamer-1.0) >= %{version}
%if %build_plf
BuildRequires:	pkgconfig(vo-aacenc)
BuildRequires:	pkgconfig(vo-amrwbenc)
BuildRequires:	pkgconfig(x265)
BuildRequires:	pkgconfig(libdca)
%endif
BuildRequires:	flite-devel
BuildRequires:	gobject-introspection-devel
BuildRequires:	libgme-devel
BuildRequires:	ladspa-devel
BuildRequires:	libpcap-devel
BuildRequires:	srtp-devel
BuildRequires:	wildmidi-devel
#gw for autoreconf
BuildRequires:	gettext-devel
Obsoletes:	%{bname}-directfb < 1.6.0-4
Conflicts:	gstreamer1.0-plugins-base < 0.11.94

%description
GStreamer is a streaming-media framework, based on graphs of filters which
operate on media data. Applications using this library can do anything
from real-time sound processing to playing videos, and just about anything
else media-related.  Its plugin-based architecture means that new data
types or processing capabilities can be added simply by installing new
plug-ins.

This package contains a set of plug-ins that aren't up to par compared
to the rest. They might be close to being good quality, but they're
missing something - be it a good code review, some documentation, a
set of tests, a real live maintainer, or some actual wide use. If the
blanks are filled in they might be upgraded to become part of either
gstreamer-plugins-good or gstreamer-plugins-ugly, depending on the
other factors. If the plug-ins break, you can't complain - instead,
you can fix the problem and send us a patch, or bribe someone into
fixing them for you.  New contributors can start here for things to
work on.

%if %build_plf
This package is in the 'tainted' section as it violates some patents.
%endif


%package -n %{libnamephoto}
Summary:	Libraries for GStreamer streaming-media framework
Group:		System/Libraries

%description -n %{libnamephoto}
GStreamer is a streaming-media framework, based on graphs of filters which
operate on media data. Applications using this library can do anything
from real-time sound processing to playing videos, and just about anything
else media-related.  Its plugin-based architecture means that new data
types or processing capabilities can be added simply by installing new
plugins.

This package contains the libraries.

%files -n %{libnamephoto}
%{_libdir}/libgstphotography-%{api}.so.%{libmajor}{,.*}

%package -n %{libnamecodecparsers}
Summary:        Libraries for GStreamer streaming-media framework
Group:          System/Libraries
Conflicts:	%{_lib}gstphotography1.0_0 < 1.1.90

%description -n %{libnamecodecparsers}
GStreamer is a streaming-media framework, based on graphs of filters which
operate on media data. Applications using this library can do anything
from real-time sound processing to playing videos, and just about anything
else media-related.  Its plugin-based architecture means that new data
types or processing capabilities can be added simply by installing new
plugins.

This package contains the libraries.

%files -n %{libnamecodecparsers}
%{_libdir}/libgstcodecparsers-%{api}.so.%{libmajor}{,.*}

%package -n %{libnamebase}
Summary:	Libraries for GStreamer streaming-media framework
Group:		System/Libraries
Obsoletes:	%{_lib}gstbasevideo1.0_0 < 1.1.90

%description -n %{libnamebase}
GStreamer is a streaming-media framework, based on graphs of filters which
operate on media data. Applications using this library can do anything
from real-time sound processing to playing videos, and just about anything
else media-related.  Its plugin-based architecture means that new data
types or processing capabilities can be added simply by installing new
plugins.

This package contains the libraries.

%files -n %{libnamebase}
%{_libdir}/libgstbasecamerabinsrc-%{api}.so.%{libmajor}{,.*}

%package -n %{libbadbase}
Summary:        Libraries for GStreamer streaming-media framework
Group:          System/Libraries

%description -n %{libbadbase}
GStreamer is a streaming-media framework, based on graphs of filters which
operate on media data. Applications using this library can do anything
from real-time sound processing to playing videos, and just about anything
else media-related.  Its plugin-based architecture means that new data
types or processing capabilities can be added simply by installing new
plugins.

This package contains the libraries.

%files -n %{libbadbase}
%{_libdir}/libgstbadbase-%{api}.so.%{libmajor}{,.*}

%package -n %{libbadaudio}
Summary:        Libraries for GStreamer streaming-media framework
Group:          System/Libraries

%description -n %{libbadaudio}
GStreamer is a streaming-media framework, based on graphs of filters which
operate on media data. Applications using this library can do anything
from real-time sound processing to playing videos, and just about anything
else media-related.  Its plugin-based architecture means that new data
types or processing capabilities can be added simply by installing new
plugins.

This package contains the libraries.

%files -n %{libbadaudio}
%{_libdir}/libgstbadaudio-%{api}.so.%{libmajor}{,.*}

%package -n %{libbadvideo}
Summary:        Libraries for GStreamer streaming-media framework
Group:          System/Libraries

%description -n %{libbadvideo}
GStreamer is a streaming-media framework, based on graphs of filters which
operate on media data. Applications using this library can do anything
from real-time sound processing to playing videos, and just about anything
else media-related.  Its plugin-based architecture means that new data
types or processing capabilities can be added simply by installing new
plugins.

This package contains the libraries.

%files -n %{libbadvideo}
%{_libdir}/libgstbadvideo-%{api}.so.%{libmajor}{,.*}

%package -n %{libgstplayer}
Summary:        Libraries for GStreamer streaming-media framework
Group:          System/Libraries
Obsoletes:      %{_lib}gsdplayer1.0_0 < 1.7.90-2

%description -n %{libgstplayer}
GStreamer is a streaming-media framework, based on graphs of filters which
operate on media data. Applications using this library can do anything
from real-time sound processing to playing videos, and just about anything
else media-related.  Its plugin-based architecture means that new data
types or processing capabilities can be added simply by installing new
plugins.

This package contains the libraries.

%files -n %{libgstplayer}
%{_libdir}/libgstplayer-%{api}.so.%{libmajor}{,.*}

%package -n %{libgstgl}
Summary:        Libraries for GStreamer streaming-media framework
Group:          System/Libraries

%description -n %{libgstgl}
GStreamer is a streaming-media framework, based on graphs of filters which
operate on media data. Applications using this library can do anything
from real-time sound processing to playing videos, and just about anything
else media-related.  Its plugin-based architecture means that new data
types or processing capabilities can be added simply by installing new
plugins.

This package contains the libraries.

%files -n %{libgstgl}
%{_libdir}/libgstgl-%{api}.so.%{libmajor}{,.*}

%package -n %{libgstwayland}
Summary:        Libraries for GStreamer streaming-media framework
Group:          System/Libraries

%description -n %{libgstwayland}
GStreamer is a streaming-media framework, based on graphs of filters which
operate on media data. Applications using this library can do anything
from real-time sound processing to playing videos, and just about anything
else media-related.  Its plugin-based architecture means that new data
types or processing capabilities can be added simply by installing new
plugins.

This package contains the libraries.

%files -n %{libgstwayland}
%{_libdir}/libgstwayland-%{api}.so.%{libmajor}{,.*}

%package -n %{libnameinsertbin}
Summary:        Libraries for GStreamer streaming-media framework
Group:          System/Libraries

%description -n %{libnameinsertbin}
GStreamer is a streaming-media framework, based on graphs of filters which
operate on media data. Applications using this library can do anything
from real-time sound processing to playing videos, and just about anything
else media-related.  Its plugin-based architecture means that new data
types or processing capabilities can be added simply by installing new
plugins.

This package contains the libraries.

%files -n %{libnameinsertbin}
%{_libdir}/libgstinsertbin-%{api}.so.%{libmajor}{,.*}

%package -n %{libnamempegts}
Summary:        Libraries for GStreamer streaming-media framework
Group:          System/Libraries

%description -n %{libnamempegts}
GStreamer is a streaming-media framework, based on graphs of filters which
operate on media data. Applications using this library can do anything
from real-time sound processing to playing videos, and just about anything
else media-related.  Its plugin-based architecture means that new data
types or processing capabilities can be added simply by installing new
plugins.

This package contains the libraries.

%files -n %{libnamempegts}
%{_libdir}/libgstmpegts-%{api}.so.%{libmajor}{,.*}

%package -n %{libnameuridownloader}
Summary:        Libraries for GStreamer streaming-media framework
Group:          System/Libraries

%description -n %{libnameuridownloader}
GStreamer is a streaming-media framework, based on graphs of filters which
operate on media data. Applications using this library can do anything
from real-time sound processing to playing videos, and just about anything
else media-related.  Its plugin-based architecture means that new data
types or processing capabilities can be added simply by installing new
plugins.

This package contains the libraries.

%files -n %{libnameuridownloader}
%{_libdir}/libgsturidownloader-%{api}.so.%{libmajor}{,.*}

%package -n %{develname}
Summary:	Libraries and include files for GStreamer streaming-media framework
Group:		Development/C
Requires:	%{libnamephoto} = %{version}
Requires:	%{libnamecodecparsers} = %{version}
Requires:	%{libnamebase} = %{version}
Requires:	%{libnameinsertbin} = %{version}
Requires:	%{libnamempegts} = %{version}
Requires:	%{libnameuridownloader} = %{version}
Requires:	%{libbadbase} = %{version}
Requires:	%{libbadaudio} = %{version}
Requires:	%{libbadvideo} = %{version}
Requires:	%{libgstplayer} = %{version}
Requires:	%{libgstgl} = %{version}
Requires:	%{libgstwayland} = %{version}
Requires:	%{girname} = %{version}
Requires:	%{girplayer} = %{version}
Provides:	%{name}-devel = %{version}-%{release}
Obsoletes:	%{_lib}gstbasevideo1.0-devel < 1.1.90
Obsoletes:	%{_lib}gstphotographyi1.0-devel < 1.1.90

%description -n %{develname}
GStreamer is a streaming-media framework, based on graphs of filters which
operate on media data. Applications using this library can do anything
from real-time sound processing to playing videos, and just about anything
else media-related.  Its plugin-based architecture means that new data
types or processing capabilities can be added simply by installing new
plugins.

This package contains the libraries and includes files necessary to develop
applications and plugins for GStreamer.

%files -n %develname
%{_libdir}/libgst*-%{api}.so
%{_libdir}/pkgconfig/*.pc
%{_includedir}/gstreamer-%{api}/gst/*
%{_libdir}/gstreamer-1.0/include/gst/gl/gstglconfig.h
%{_datadir}/gir-1.0/GstGL-%{api}.gir
%{_datadir}/gir-1.0/GstInsertBin-%{api}.gir
%{_datadir}/gir-1.0/GstMpegts-%{api}.gir
%{_datadir}/gir-1.0/GstPlayer-%{api}.gir

%package -n %{bname}-curl
Summary:	GStreamer Curl plugin
Group:		Networking/Other

%description -n %{bname}-curl
This is a HTTP plugin for GStreamer based on the curl library.

%files -n %{bname}-curl
%{_libdir}/gstreamer-%{api}/libgstcurl.so

%package -n %{bname}-mpeg2enc
Summary:	GStreamer mjpegtools plug-in
Group:		Video/Utilities

%description -n %{bname}-mpeg2enc
mjpegtools-based encoding and decoding plug-in.

%files -n %{bname}-mpeg2enc
%{_libdir}/gstreamer-%{api}/libgstmpeg2enc.so
%{_libdir}/gstreamer-%{api}/libgstmplex.so

%if %build_gme
%package -n %{bname}-gme
Summary:	GStreamer Game Music plug-in
Group:		Sound/Utilities

%description -n %{bname}-gme
Game Music decoding plug-in.

%files -n %{bname}-gme
%{_libdir}/gstreamer-%{api}/libgstgme.so
%endif

%package -n %{bname}-schroedinger
Summary:	GStreamer dirac plug-in based on Schroedinger
Group:		Video/Utilities
Epoch: 1

%description -n %{bname}-schroedinger
Dirac encoding and decoding plug-in based on Schroedinger.

%files -n %{bname}-schroedinger
%{_libdir}/gstreamer-%{api}/libgstschro.so

%if %build_xvid
%package -n %{bname}-xvid
Summary:	GStreamer plug-ins for XVID video encoding and decoding
Group:		Video/Utilities
BuildRequires:	xvid-devel >= 1.1
 
%description -n %{bname}-xvid
Plug-ins for encoding and decoding XVID video.
 
This package is in the 'tainted' section as it violates some patents.
%files -n %{bname}-xvid
%{_libdir}/gstreamer-%{api}/libgstxvid.so
%endif

%package -n %{bname}-mms
Summary:	GStreamer plug-in for mms streams
Group:		System/Libraries
Requires:	%{bname}-plugins = %{version}

%description -n %{bname}-mms
Plug-in supporting the mms protocol based on the libmms library.

%files -n %{bname}-mms
%{_libdir}/gstreamer-%{api}/libgstmms.so

%package -n %{bname}-rtmp
Summary:	GStreamer plug-in for rtmp streams
Group:		System/Libraries
Requires:	%{bname}-plugins = %{version}

%description -n %{bname}-rtmp
Plug-in supporting the rtmp protocol based on the librtmp library.

%files -n %{bname}-rtmp
%{_libdir}/gstreamer-%{api}/libgstrtmp.so

%package -n %{bname}-soundtouch
Summary:	GStreamer plug-in for SoundTouch support
Group:		Sound/Utilities
Requires:	%{bname}-plugins = %{version}

%description -n %{bname}-soundtouch
Plug-in supporting the SoundTouch audio manipulation support.

%files -n %{bname}-soundtouch
%{_libdir}/gstreamer-%{api}/libgstsoundtouch.so

%package -n %{bname}-libass
Summary:	GStreamer subtitles plugin
Group:		Video/Utilities

%description -n %{bname}-libass
This is a subtitle plugin for GStreamer based on libass.

%files -n %{bname}-libass
%{_libdir}/gstreamer-%{api}/libgstassrender.so

%package -n %{bname}-opencv
Summary:	GStreamer OpenCV Plugins
Group:		Video/Utilities

%description -n %{bname}-opencv
GStreamer OpenCV Plugins.

%files -n %{bname}-opencv
%{_libdir}/gstreamer-%{api}/libgstopencv.so
%{_datadir}/gst-plugins-bad/%{api}/opencv_haarcascades/*.xml

%package -n %{bname}-wildmidi
Summary:	GStreamer wildmidi Plugins
Group:		Sound/Midi
Requires:	timidity-instruments

%description -n %{bname}-wildmidi
GStreamer wildmidi Plugins.

%files -n %{bname}-wildmidi
%{_libdir}/gstreamer-%{api}/libgstwildmidi.so

%package doc
Group:		Documentation
Summary:	GStreamer application library
BuildArch:	noarch

%description doc
This is the documentation of %{name}.

%package -n %{girname}
Group:		System/Libraries
Summary:	Object Introspection interface description for %{name}
Requires:	%{libnameinsertbin} = %{version}
Requires:	%{libnamempegts} = %{version}

%description -n %{girname}
GObject Introspection interface description for %{name}.

%files -n %{girname}
%{_libdir}/girepository-1.0/GstGL-1.0.typelib
%{_libdir}/girepository-1.0/GstInsertBin-%{api}.typelib
%{_libdir}/girepository-1.0/GstMpegts-%{api}.typelib

%package -n %{girplayer}
Group:          System/Libraries
Summary:        Object Introspection interface description for GstPlayer

%description -n %{girplayer}
GObject Introspection interface description for GstPlayer.

%files -n %{girplayer}
%{_libdir}/girepository-1.0/GstPlayer-%{api}.typelib

%prep
%setup -q -n gst-plugins-bad-%{version}
%autopatch -p1

%build
%configure2_5x \
	--disable-static \
	--disable-rpath \
	--with-package-name='%{_vendor} %{name} package' \
	--with-package-origin='http://www.%{_real_vendor}.org/' \
%if ! %build_faac
	--disable-faac \
%endif
%if ! %build_faad
	--disable-faad \
%endif
%if ! %build_dirac
        --disable-dirac \
%endif
%if ! %build_xvid
        --disable-xvid \
%endif
%if ! %build_dts
        --disable-dts \
%endif
%if ! %build_plf
        --disable-voamrwbenc \
	--disable-voaacenc \
%endif
%if %build_experimental
	--enable-experimental
%else
	--disable-experimental
%endif

make

%install
%make_install

%find_lang gst-plugins-bad-%{api}

# Clean out files that should not be part of the rpm.
# This is the recommended way of dealing with it for RH8
find %{buildroot} -name '*.la' -delete

%files doc
%{_datadir}/gtk-doc/html/

%files -f gst-plugins-bad-%{api}.lang
%doc AUTHORS COPYING README NEWS
%{_datadir}/gstreamer-1.0/presets/GstFreeverb.prs
%{_libdir}/gstreamer-%{api}/libgstaccurip.so
%{_libdir}/gstreamer-%{api}/libgstadpcmdec.so
%{_libdir}/gstreamer-%{api}/libgstadpcmenc.so
%{_libdir}/gstreamer-%{api}/libgstaiff.so
%{_libdir}/gstreamer-%{api}/libgstasfmux.so
%{_libdir}/gstreamer-%{api}/libgstaudiofxbad.so
%{_libdir}/gstreamer-%{api}/libgstaudiomixer.so
%{_libdir}/gstreamer-%{api}/libgstaudiovisualizers.so
%{_libdir}/gstreamer-%{api}/libgstautoconvert.so
%{_libdir}/gstreamer-%{api}/libgstbayer.so
%{_libdir}/gstreamer-%{api}/libgstbluez.so
%{_libdir}/gstreamer-%{api}/libgstbs2b.so
%{_libdir}/gstreamer-%{api}/libgstbz2.so
%{_libdir}/gstreamer-%{api}/libgstcamerabin2.so
%{_libdir}/gstreamer-%{api}/libgstchromaprint.so
%{_libdir}/gstreamer-%{api}/libgstcoloreffects.so
%{_libdir}/gstreamer-%{api}/libgstcompositor.so
%{_libdir}/gstreamer-%{api}/libgstdataurisrc.so
%{_libdir}/gstreamer-%{api}/libgstdc1394.so
%{_libdir}/gstreamer-%{api}/libgstdebugutilsbad.so
%{_libdir}/gstreamer-%{api}/libgstdecklink.so
#{_libdir}/gstreamer-%%{api}/libgstdfbvideosink.so
%{_libdir}/gstreamer-%{api}/libgstdtls.so
%{_libdir}/gstreamer-%{api}/libgstdvb.so
%{_libdir}/gstreamer-%{api}/libgstdvbsuboverlay.so
%{_libdir}/gstreamer-%{api}/libgstdvdspu.so
%{_libdir}/gstreamer-%{api}/libgstfbdevsink.so
%{_libdir}/gstreamer-%{api}/libgstfestival.so
%{_libdir}/gstreamer-%{api}/libgstfieldanalysis.so
%{_libdir}/gstreamer-%{api}/libgstflite.so
%{_libdir}/gstreamer-%{api}/libgstfreeverb.so
%{_libdir}/gstreamer-%{api}/libgstfrei0r.so
%{_libdir}/gstreamer-%{api}/libgstgaudieffects.so
%{_libdir}/gstreamer-%{api}/libgstgdp.so
%{_libdir}/gstreamer-%{api}/libgstgeometrictransform.so
%{_libdir}/gstreamer-%{api}/libgstgtksink.so
%{_libdir}/gstreamer-%{api}/libgsthls.so
%{_libdir}/gstreamer-%{api}/libgstid3tag.so
%{_libdir}/gstreamer-%{api}/libgstinterlace.so
%{_libdir}/gstreamer-%{api}/libgstinter.so
%{_libdir}/gstreamer-%{api}/libgstivfparse.so
%{_libdir}/gstreamer-%{api}/libgstivtc.so
%{_libdir}/gstreamer-%{api}/libgstjp2kdecimator.so
%{_libdir}/gstreamer-%{api}/libgstjpegformat.so
%{_libdir}/gstreamer-%{api}/libgstkate.so
%{_libdir}/gstreamer-%{api}/libgstkmssink.so
%{_libdir}/gstreamer-%{api}/libgstmidi.so
%{_libdir}/gstreamer-%{api}/libgstmimic.so
%{_libdir}/gstreamer-%{api}/libgstmodplug.so
%{_libdir}/gstreamer-%{api}/libgstmpegpsdemux.so
%{_libdir}/gstreamer-%{api}/libgstmpegpsmux.so
%{_libdir}/gstreamer-%{api}/libgstmpegtsdemux.so
%{_libdir}/gstreamer-%{api}/libgstmpegtsmux.so
%{_libdir}/gstreamer-%{api}/libgstmxf.so
%{_libdir}/gstreamer-%{api}/libgstnetsim.so
%{_libdir}/gstreamer-%{api}/libgstopenal.so
%{_libdir}/gstreamer-%{api}/libgstopenexr.so
%{_libdir}/gstreamer-%{api}/libgstopengl.so
%{_libdir}/gstreamer-%{api}/libgstopenjpeg.so
%{_libdir}/gstreamer-%{api}/libgstopusparse.so
%{_libdir}/gstreamer-%{api}/libgstpcapparse.so
%{_libdir}/gstreamer-%{api}/libgstpnm.so
%{_libdir}/gstreamer-%{api}/libgstqmlgl.so
%{_libdir}/gstreamer-%{api}/libgstrawparse.so
%{_libdir}/gstreamer-%{api}/libgstremovesilence.so
%{_libdir}/gstreamer-%{api}/libgstresindvd.so
%{_libdir}/gstreamer-%{api}/libgstrfbsrc.so
%{_libdir}/gstreamer-%{api}/libgstrsvg.so
%{_libdir}/gstreamer-%{api}/libgstrtponvif.so
%{_libdir}/gstreamer-%{api}/libgstsdpelem.so
%{_libdir}/gstreamer-%{api}/libgstsegmentclip.so
%{_libdir}/gstreamer-%{api}/libgstshm.so
%{_libdir}/gstreamer-%{api}/libgstsiren.so
%{_libdir}/gstreamer-%{api}/libgstsmooth.so
%{_libdir}/gstreamer-%{api}/libgstsndfile.so
%{_libdir}/gstreamer-%{api}/libgstspeed.so
%{_libdir}/gstreamer-%{api}/libgststereo.so
%{_libdir}/gstreamer-%{api}/libgstsubenc.so
%{_libdir}/gstreamer-%{api}/libgstteletextdec.so
%{_libdir}/gstreamer-%{api}/libgsttimecode.so
%{_libdir}/gstreamer-%{api}/libgstuvch264.so
%{_libdir}/gstreamer-%{api}/libgstvcdsrc.so
%{_libdir}/gstreamer-%{api}/libgstvdpau.so
%{_libdir}/gstreamer-%{api}/libgstvideofiltersbad.so
%{_libdir}/gstreamer-%{api}/libgstvideoframe_audiolevel.so
%{_libdir}/gstreamer-%{api}/libgstvideoparsersbad.so
%{_libdir}/gstreamer-%{api}/libgstvideosignal.so
%{_libdir}/gstreamer-%{api}/libgstvmnc.so
%if %{build_plf}
%{_libdir}/gstreamer-%{api}/libgstvoaacenc.so
%{_libdir}/gstreamer-%{api}/libgstvoamrwbenc.so
%{_libdir}/gstreamer-%{api}/libgstdtsdec.so
%{_datadir}/gstreamer-%{api}/presets/GstVoAmrwbEnc.prs
%endif
%{_libdir}/gstreamer-%{api}/libgstwaylandsink.so
%{_libdir}/gstreamer-%{api}/libgstwebp.so
%{_libdir}/gstreamer-%{api}/libgsty4mdec.so
%{_libdir}/gstreamer-%{api}/libgstyadif.so
%{_libdir}/gstreamer-%{api}/libgstzbar.so
%{_libdir}/libgstadaptivedemux-1.0.so.%libmajor
%{_libdir}/libgstadaptivedemux-1.0.so.%libmajor.*


%if %build_faad
%package -n %{bname}-faad
Summary:	GStreamer plug-in for AAC audio playback
Group:		Sound/Utilities
Requires:	%{bname}-plugins >= %version
BuildRequires:	libfaad2-devel >= 2.0
 
%description -n %{bname}-faad
Plug-ins for playing AAC audio
 
This package is in the 'tainted' section as it violates some patents.

%files -n %{bname}-faad
%{_libdir}/gstreamer-%{api}/libgstfaad.so
%endif

%if %build_faac
%package -n %{bname}-faac
Summary:	GStreamer plug-ins for AAC audio encoding
Group:		Sound
Requires:	%{bname}-plugins >= %version
BuildRequires:	libfaac-devel
 
%description -n %{bname}-faac
Plug-ins for encoding AAC audio
 
This package is in the 'tainted' section as it violates some patents.

%files -n %{bname}-faac
%{_libdir}/gstreamer-%{api}/libgstfaac.so
%endif

%package -n %{bname}-gsm
Summary:	GStreamer plugin for GSM lossy audio format
Group:		Sound/Utilities
Requires:	%{bname}-plugins >= %{version}
BuildRequires:	gsm-devel >= 1.0.10

%description -n %{bname}-gsm
Output plugin for GStreamer to convert to GSM lossy audio format.

%files -n %{bname}-gsm
%{_libdir}/gstreamer-%{api}/libgstgsm.so

%if %build_amrwb
%package -n %{bname}-amrwb
Summary:	GStreamer plug-in for AMR-WB support
Group:		Sound/Utilities
Requires:	%{bname}-plugins >= %{version}
BuildRequires:	libamrwb-devel

%description -n %{bname}-amrwb
Plug-in for decoding AMR-WB under GStreamer.

This package is in the 'tainted' section as it violates some patents.

%files -n %{bname}-amrwb
%{_datadir}/gstreamer-%{api}/presets/GstAmrwbEnc.prs
%{_libdir}/gstreamer-%{api}/libgstamrwbenc.so
%endif

%package -n %{bname}-dash
Summary:	GStreamer plugin for Dynamic Adaptive Streaming over HTTP
Group:		Sound/Utilities
Requires:	%{bname}-plugins >= %{version}

%description -n %{bname}-dash
Dynamic Adaptive Streaming over HTTP demuxer.

%files -n %{bname}-dash
%{_libdir}/gstreamer-%{api}/libgstdashdemux.so

%if 0
%package -n %{bname}-eglgles
Summary:	GStreamer plugin for EGL/GLES vout Sink
Group:		Video/Utilities
Requires:	%{bname}-plugins >= %{version}

%description -n %{bname}-eglgles
EGL/GLES vout Sink.

%files -n %{bname}-eglgles
%{_libdir}/gstreamer-%{api}/libgsteglglessink.so
%endif

%package -n %{bname}-fluidsynth
Summary:	GStreamer plugin for Midi Synthesizer Element
Group:		Sound/Midi
Requires:	%{bname}-plugins >= %{version}

%description -n %{bname}-fluidsynth
Midi Synthesizer Element.

%files -n %{bname}-fluidsynth
%{_libdir}/gstreamer-%{api}/libgstfluidsynthmidi.so

%package -n %{bname}-ladspa
Summary:	GStreamer plugin for LADSPA plugin
Group:		Sound/Utilities
Requires:	%{bname}-plugins >= %{version}

%description -n %{bname}-ladspa
LADSPA plugin.

%files -n %{bname}-ladspa
%{_libdir}/gstreamer-%{api}/libgstladspa.so

%package -n %{bname}-neon
Summary:	GStreamer plugin for NEON plugin
Group:		Networking/Other
Requires:	%{bname}-plugins >= %{version}

%description -n %{bname}-neon
Receive data as a client over the network via HTTP using NEON.

%files -n %{bname}-neon
%{_libdir}/gstreamer-%{api}/libgstneonhttpsrc.so

%package -n %{bname}-ofa
Summary:	GStreamer plugin for MusicIP Fingerprinting element
Group:		Sound/Utilities
Requires:	%{bname}-plugins >= %{version}

%description -n %{bname}-ofa
Find a music fingerprint using MusicIP's libofa.

%files -n %{bname}-ofa
%{_libdir}/gstreamer-%{api}/libgstofa.so

%package -n %{bname}-sbc
Summary:	GStreamer plugin for Bluetooth SBC audio encoder/decoder
Group:		Sound/Utilities
Requires:	%{bname}-plugins >= %{version}

%description -n %{bname}-sbc
Encode/Decode an SBC audio stream.

%files -n %{bname}-sbc
%{_libdir}/gstreamer-%{api}/libgstsbc.so

%package -n %{bname}-smoothstreaming
Summary:	GStreamer plugin for Microsoft's Smooth Streaming format
Group:		Sound/Utilities
Requires:	%{bname}-plugins >= %{version}

%description -n %{bname}-smoothstreaming
Microsoft's Smooth Streaming format support.

%files -n %{bname}-smoothstreaming
%{_libdir}/gstreamer-%{api}/libgstsmoothstreaming.so

%package -n %{bname}-spandsp
Summary:	GStreamer plugin for libspandsp
Group:		Sound/Utilities
Requires:	%{bname}-plugins >= %{version}

%description -n %{bname}-spandsp
libspandsp plugin.

%files -n %{bname}-spandsp
%{_libdir}/gstreamer-%{api}/libgstspandsp.so

%package -n %{bname}-srtp
Summary:	GStreamer plugin for srtp
Group:		Sound/Utilities
Requires:	%{bname}-plugins >= %{version}

%description -n %{bname}-srtp
GStreamer SRTP plugin.

%files -n %{bname}-srtp
%{_libdir}/gstreamer-%{api}/libgstsrtp.so

%if %build_x265
%package -n %{bname}-x265
Summary:	GStreamer plugin for x265
Group:		Sound/Utilities
Requires:	%{bname}-plugins >= %{version}

%description -n %{bname}-x265
GStreamer x265 plugin.

%files -n %{bname}-x265
%{_libdir}/gstreamer-%{api}/libgstx265.so
%endif


%changelog
* Fri Feb 10 2017 ns80 <ns80> 1.10.3-1.mga6.tainted
+ Revision: 1085492
- new version 1.10.3

* Sat Jan 21 2017 akien <akien> 1.10.2-2.mga6.tainted
+ Revision: 1082723
- Rebuild for arm

* Sun Jan 15 2017 wally <wally> 1.10.2-1.mga6
+ Revision: 1081796
- new version 1.10.2

* Tue Jan 10 2017 luigiwalser <luigiwalser> 1.8.3-11.mga6.tainted
+ Revision: 1080920
- rebuild for libass

* Sun Jan 01 2017 luigiwalser <luigiwalser> 1.8.3-10.2.mga6.tainted
+ Revision: 1079501
- rebuild for x265

* Mon Nov 28 2016 luigiwalser <luigiwalser> 1.8.3-10.1.mga6.tainted
+ Revision: 1070674
- rebuild for x265

* Sat Nov 19 2016 shlomif <shlomif> 1.8.3-10.mga6.tainted
+ Revision: 1068391
- bump rel for tainted

* Sat Nov 19 2016 shlomif <shlomif> 1.8.3-9.mga6
+ Revision: 1068387
- Fix for MGA#19814 - VMware screen capture file decoder.

* Mon Sep 12 2016 luigiwalser <luigiwalser> 1.8.3-8.mga6.tainted
+ Revision: 1051568
- rebuild for x265

* Tue Sep 06 2016 akien <akien> 1.8.3-7.mga6.tainted
+ Revision: 1050216
- Rebuild for tainted

* Mon Sep 05 2016 akien <akien> 1.8.3-6.mga6
+ Revision: 1050168
- Rebuild for wildmidi 0.4.0

* Mon Aug 22 2016 akien <akien> 1.8.3-5.mga6.tainted
+ Revision: 1047861
- Submit to tainted

* Sun Aug 21 2016 daviddavid <daviddavid> 1.8.3-4.mga6
+ Revision: 1047654
+ rebuild (emptylog)

* Sat Aug 20 2016 luigiwalser <luigiwalser> 1.8.3-3.mga6
+ Revision: 1047446
- we do not want to explicitly enable directfb

* Sat Aug 20 2016 daviddavid <daviddavid> 1.8.3-2.mga6
+ Revision: 1047437
- add BR pkgconfig(directfb) to reenable directfb plugin

* Sat Aug 20 2016 luigiwalser <luigiwalser> 1.8.3-1.mga6
+ Revision: 1047206
- actually gstqtsink renamed to gstqmlgl in 1.8.3
- gstdfbvideosink no longer built because directfb was disabled in cairo
- gstqtsink disabled upstream in 1.8.3
- 1.8.3

* Fri Jun 10 2016 luigiwalser <luigiwalser> 1.8.2-1.mga6
+ Revision: 1021003
- 1.8.2

* Thu May 26 2016 daviddavid <daviddavid> 1.8.1-3.mga6.tainted
+ Revision: 1018696
- rebuild for tainted/release (due to BS issue)

* Sat May 21 2016 daviddavid <daviddavid> 1.8.1-2.mga6
+ Revision: 1017319
- rebuild for new and fixed flite 2.0.0

* Mon May 09 2016 luigiwalser <luigiwalser> 1.8.1-1.mga6
+ Revision: 1011411
- 1.8.1

* Fri Apr 22 2016 daviddavid <daviddavid> 1.8.0-2.mga6
+ Revision: 1004602
- add missing BR on libpcap-devel thus fixing build

* Fri Mar 25 2016 wally <wally> 1.8.0-1.mga6.tainted
+ Revision: 995249
- new version 1.8.0

* Sat Mar 19 2016 wally <wally> 1.7.91-1.mga6.tainted
+ Revision: 992916
- new version 1.7.91

* Mon Mar 14 2016 wally <wally> 1.7.90-5.mga6.tainted
+ Revision: 990545
- rebuild with schroedinger without .la files

* Fri Mar 04 2016 wally <wally> 1.7.90-4.mga6.tainted
+ Revision: 985657
- rebuild due to misbehaving BS

* Fri Mar 04 2016 wally <wally> 1.7.90-3.mga6.tainted
+ Revision: 985652
- build some additional plugins:
  o qt
- o kate
- o flite
- o dtsdec (tainted)
- o bs2b

* Thu Mar 03 2016 wally <wally> 1.7.90-2.mga6.tainted
+ Revision: 985099
+ rebuild (emptylog)

* Thu Mar 03 2016 wally <wally> 1.7.90-2.mga6
+ Revision: 985060
- fix gstplayer lib pkg name

* Thu Mar 03 2016 wally <wally> 1.7.90-1.mga6
+ Revision: 985040
- add gi typelib pkg for GstPlayer
- add gstbadaudio and gstplayer lib pkgs
- new versio 1.7.90

* Wed Mar 02 2016 umeabot <umeabot> 1.6.3-5.mga6
+ Revision: 983445
- Rebuild for openssl

* Mon Feb 15 2016 luigiwalser <luigiwalser> 1.6.3-4.mga6.tainted
+ Revision: 961631
+ rebuild (emptylog)

* Mon Feb 15 2016 luigiwalser <luigiwalser> 1.6.3-3.mga6.tainted
+ Revision: 961516
- rebuild for mjpegtools

* Sun Feb 14 2016 luigiwalser <luigiwalser> 1.6.3-2.mga6.tainted
+ Revision: 960370
- rebuild for chromaprint

* Sat Jan 23 2016 luigiwalser <luigiwalser> 1.6.3-1.mga6
+ Revision: 926702
- 1.6.3

* Sun Jan 03 2016 luigiwalser <luigiwalser> 1.6.2-1.mga6.tainted
+ Revision: 918904
- 1.6.2

* Sat Jan 02 2016 luigiwalser <luigiwalser> 1.6.0-5.mga6
+ Revision: 918471
- rebuild for soundtouch

* Sat Jan 02 2016 luigiwalser <luigiwalser> 1.6.0-4.mga6
+ Revision: 918216
- rebuild without directfb
- rebuild for libwebp

* Wed Nov 25 2015 wally <wally> 1.6.0-3.mga6.tainted
+ Revision: 906037
- build gtk plugin
- fix x265 description

* Fri Oct 09 2015 ovitters <ovitters> 1.6.0-2.mga6
+ Revision: 888560
- enable x265

* Sun Sep 27 2015 tv <tv> 1.6.0-1.mga6
+ Revision: 884099
- adjust file list
- adjust file list on ia32
- drop unappliable patch
- new release

* Mon Aug 17 2015 fwang <fwang> 1.4.5-4.mga6.tainted
+ Revision: 865218
- rebuild for new gnutls/nettle

* Tue Jun 30 2015 wally <wally> 1.4.5-3.mga6.tainted
+ Revision: 849033
- rebuild to get more typelib() requires

* Mon Jun 29 2015 wally <wally> 1.4.5-2.mga6.tainted
+ Revision: 847481
- add requires for gir pkg to devel pkg

* Sun Jun 21 2015 luigiwalser <luigiwalser> 1.4.5-1.mga6.tainted
+ Revision: 836948
- 1.4.5

* Wed Oct 15 2014 umeabot <umeabot> 1.4.3-2.mga5.tainted
+ Revision: 747312
- Second Mageia 5 Mass Rebuild

* Sun Sep 28 2014 wally <wally> 1.4.3-1.mga5.tainted
+ Revision: 731373
- new version 1.4.3

* Fri Sep 26 2014 wally <wally> 1.4.1-3.mga5.tainted
+ Revision: 724895
- rebuild with new rpm-mageia-setup to generate requires for .typelib files

* Tue Sep 16 2014 umeabot <umeabot> 1.4.1-2.mga5
+ Revision: 679984
- Mageia 5 Mass Rebuild

* Tue Sep 09 2014 luigiwalser <luigiwalser> 1.4.1-1.mga5.tainted
+ Revision: 674301
- 1.4.1

* Sun Aug 24 2014 luigiwalser <luigiwalser> 1.4.0-5.mga5.tainted
+ Revision: 666994
- rebuild for ilmbase and OpenEXR

* Thu Aug 07 2014 sander85 <sander85> 1.4.0-4.mga5.tainted
+ Revision: 660374
- Rebuild for new directfb

* Tue Jul 29 2014 tv <tv> 1.4.0-3.mga5
+ Revision: 657830
- rebuild with fixed gcc (might fix ff & shotwell)

* Wed Jul 23 2014 fwang <fwang> 1.4.0-2.mga5.tainted
+ Revision: 655867
- fix requires

* Mon Jul 21 2014 fwang <fwang> 1.4.0-1.mga5.tainted
+ Revision: 654999
- update file list
- update file list
- update file list
- 1.4.0

* Sat May 10 2014 akien <akien> 1.2.4-2.mga5.tainted
+ Revision: 621813
- Fix build with opencv 2.4.9
- Rebuild for new directfb

  + fwang <fwang>
    - rebuild for new directfb

  + luigiwalser <luigiwalser>
    - rebuild for directfb

* Sat Apr 19 2014 fwang <fwang> 1.2.4-1.mga5.tainted
+ Revision: 616995
- 1.2.4

* Sun Feb 16 2014 luigiwalser <luigiwalser> 1.2.3-3.mga5.tainted
+ Revision: 592551
- rebuild for librtmp

* Sat Feb 15 2014 luigiwalser <luigiwalser> 1.2.3-2.mga5.tainted
+ Revision: 592291
- rebuild for directfb, libwebp, and libass

* Sun Feb 09 2014 fwang <fwang> 1.2.3-1.mga5.tainted
+ Revision: 587315
- 1.2.3

* Thu Jan 23 2014 gw666 <gw666> 1.2.2-1.mga4.tainted
+ Revision: 567577
- new version (bug #12142)
- add introspection support

* Mon Oct 21 2013 umeabot <umeabot> 1.2.0-2.mga4.tainted
+ Revision: 536918
- Mageia 4 Mass Rebuild

* Wed Sep 25 2013 fwang <fwang> 1.2.0-1.mga4.tainted
+ Revision: 485817
- new version 1.2.0

* Sun Sep 22 2013 fwang <fwang> 1.1.90-1.mga4.tainted
+ Revision: 483124
- update file list
- update br
- drop in-exist br
- cleanup spec
- new version 1.1.90

* Thu Aug 29 2013 fwang <fwang> 1.0.10-1.mga4.tainted
+ Revision: 472795
- new version 1.0.10

* Thu Aug 01 2013 fwang <fwang> 1.0.9-1.mga4.tainted
+ Revision: 461965
- update file list
- new version 1.0.9

* Fri May 24 2013 fwang <fwang> 1.0.7-1.mga4.tainted
+ Revision: 425896
- update file list
- new version 1.0.7

* Sat Mar 02 2013 rtp <rtp> 1.0.5-4.mga3
+ Revision: 401057
- disable valgrind BR on arm/mips.

* Tue Jan 29 2013 fwang <fwang> 1.0.5-3.mga3.tainted
+ Revision: 393149
- br opencv

* Sat Jan 12 2013 umeabot <umeabot> 1.0.5-2.mga3.tainted
+ Revision: 352755
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jan 09 2013 fwang <fwang> 1.0.5-1.mga3.tainted
+ Revision: 343542
- update file list
- new version 1.0.5

* Fri Dec 21 2012 cjw <cjw> 1.0.4-1.mga3.tainted
+ Revision: 333548
- 1.0.4
- drop unused BuildRequires: pkgconfig(libcdaudio)
- add BuildRequires: pkgconfig(libchromaprint) for chromaprint plugin
- add BuildRequires: pkgconfig(dvdnav) pkgconfig(dvdread) for resindvd plugin
- add BuildRequires: pkgconfig(libmpg123) for mpg123 plugin
- add BuildRequires: pkgconfig(zbar) for zbar plugin

* Fri Nov 23 2012 fwang <fwang> 1.0.3-1.mga3.tainted
+ Revision: 321184
- new version 1.0.3

* Thu Nov 08 2012 colin <colin> 1.0.2-2.mga3.tainted
+ Revision: 316273
- Rename the vp8 plugin to rtpvp8 as the real vp8 is now in -good

* Thu Oct 25 2012 fwang <fwang> 1.0.2-1.mga3.tainted
+ Revision: 309999
- update file list
- new version 1.0.2

* Mon Oct 08 2012 fwang <fwang> 1.0.1-1.mga3.tainted
+ Revision: 303374
- update rpm group

* Mon Oct 08 2012 fwang <fwang> 1.0.1-1.mga3
+ Revision: 303362
- update rpm group
- update file list
- new version 1.0.1

* Mon Sep 24 2012 fwang <fwang> 1.0.0-1.mga3.tainted
+ Revision: 297087
- new version 1.0.0

* Tue Sep 18 2012 fwang <fwang> 0.11.99-1.mga3.tainted
+ Revision: 295773
- update file list
- update file list
- new version 0.11.99

* Sat Sep 15 2012 fwang <fwang> 0.11.94-2.mga3.tainted
+ Revision: 294185
- opencv not ready now
- rebuild for rpm gst1.0 provides

* Fri Sep 14 2012 fwang <fwang> 0.11.94-1.mga3.tainted
+ Revision: 293814
- update file list
- update file list
- new version 0.11.94

  + blino <blino>
    - package soundtouch plugin (pitch element is required by totem)

* Wed Sep 05 2012 fwang <fwang> 0.11.93-3.mga3.tainted
+ Revision: 288351
- xvid not ported to new api

* Wed Sep 05 2012 fwang <fwang> 0.11.93-3.mga3
+ Revision: 288330
- drop unneed obsoletes so that gst 1.0 and 0.10 can co-exist

* Wed Sep 05 2012 fwang <fwang> 0.11.93-2.mga3
+ Revision: 288324
- drop glib req
- more cleanup on spec
- drop unused obsolete so that we could make 1.0 and 0.10 co-exist
- cleanup spec, and rename devel package so that it won't conflict with gst0.10

  + ovitters <ovitters>
    - clean spec

* Tue Sep 04 2012 ovitters <ovitters> 0.11.93-1.mga3
+ Revision: 288230
- br gstreamer-1.0
- imported package gstreamer1.0-plugins-bad

